package middleware

import "net/http"

type Middleware interface {
	WrapHandler(next http.Handler) http.Handler
}

type WrapFunc func(next http.Handler) http.Handler

func (wrap WrapFunc) WrapHandler(next http.Handler) http.Handler {
	return wrap(next)
}
